import Footer from '@/components/footer/Footer';
import React from 'react'
import { FaCheckCircle } from "react-icons/fa";

const Cta = () => {
  return (
    <div className=''>

    <div className=' z-10 mb-[600px] lg:mb-[400px] '>
        <div className=' py-10 sm:py-24 mt-24 w-[96%] rounded-[30px] sm:rounded-[50px] mx-auto' style={{backgroundImage:"url('https://lumi.uicore.co/customer-support-software/wp-content/uploads/sites/3/2023/01/customer-support-cta.webp')",backgroundSize: "cover",backgroundPosition: "center"}}>

        <div className='text-4xl md:text-5xl lg:text-5xl font-medium text-center w-[95%] sm:w-[75%] md:w-[90%] lg:w-[65%] xl:w-[49%] mx-auto text-white '>
        Experience RAGWorks
        </div>

        <div className='text-sm md:text-base  font-normal text-center w-[95%] md:w-[70%] lg:w-[30%] mx-auto py-10 text-[#7C7E82]'>
        Boost the traffic to your website and social media accounts.
        Online traffic into sales, and clients into advocates.
        </div>

        <div className=' w-[97%] sm:w-[600px] mx-auto bg-[#ededed2e] py-2 flex justify-between rounded-full px-2 '>
            <input type="text" className='rounded-full w-1/2 text-gray-400 bg-transparent px-4 outline-none ' placeholder='Enter your email' />

            <div className='text-black text-sm font-medium p-2 lg:py-4 px-4 lg:px-8  rounded-full bg-white inline-block cursor-pointer relative overflow-hidden group z-10 '>
            <div
                className='absolute transition-transform z-0 flex items-center justify-center  group-hover:-translate-y-10 delay-100 transform  duration-700  text-black'>
                Start Free Trial
                </div>
                <div
                className='transition-transform  z-0  group-hover:flex  duration-1000 translate-y-10 group-hover:-translate-y-0 group-hover:opacity-100  transform  text-black'>
                Start Free Trial
                </div>
        </div>

        </div>

        <div className='flex flex-col sm:flex-row gap-1 sm:gap-5 py-10 justify-center items-center'>
            <div className='flex items-center gap-3'>
                <FaCheckCircle color='#F0E2F3'/>
                <p className='text-white text-sm opacity-90'>
                Free 14-day trial
                </p>
            </div>
            <div className='flex items-center gap-3'>
                <FaCheckCircle color='#F0E2F3'/>
                <p className='text-white text-sm opacity-90'>
                Ticketing system
                </p>
            </div>
            

            </div>

        </div>
    </div>

      
    <div className="fixed left-0 right-0 bottom-0 -z-10">
        <Footer />

        </div>
    </div>
  )
}

export default Cta
