import React from 'react';

const FirstImage = () => {
  const images =[
    {url:"https://lumi.uicore.co/customer-support-software/wp-content/uploads/sites/3/2023/01/Customer-support-software-Companies-1.webp"},
    {url:"https://lumi.uicore.co/customer-support-software/wp-content/uploads/sites/3/2023/01/Customer-support-software-Companies-2.webp"},
    {url:"https://lumi.uicore.co/customer-support-software/wp-content/uploads/sites/3/2023/01/Customer-support-software-Companies-3.webp"},
    {url:"https://lumi.uicore.co/customer-support-software/wp-content/uploads/sites/3/2023/01/Customer-support-software-Companies-4.webp"},
    {url:"https://lumi.uicore.co/customer-support-software/wp-content/uploads/sites/3/2023/01/Customer-support-software-Companies-5.webp"},
    {url:"https://lumi.uicore.co/customer-support-software/wp-content/uploads/sites/3/2023/01/Customer-support-software-Companies-6.webp"},
  ]
  return (
    <div>
      <div className="relative my-[80px]">
        {/* Background Image */}
        <img
          src="https://lumi.uicore.co/customer-support-software/wp-content/uploads/sites/3/2023/01/customer-support-hero-bg.webp"
          alt=""
          className=" w-full max-sm:h-[290px] max-md:h-[390px] md:w-[95%] mx-auto rounded-lg sm:rounded-[50px] relative"
        />

        {/* Foreground Image */}
        <video
          src="/Hero Animation v1.webm"
          alt=""
          autoPlay 
          muted 
          loop 
          playsInline
          className="absolute  top-[60%] sm:top-[70%] left-1/2 transform -translate-x-1/2 -translate-y-1/2 
          w-[92%] md:w-[75%] lg:w-[70%] sm:w-[92%] rounded-3xl"
        />
      </div>

      <div className='text-[#7C7E82] text-xs uppercase pt-5 sm:pt-20 flex justify-center px-5'>
      Trusted by over 2500 companies across the world
      </div>

      <div className='flex flex-wrap gap-5 pt-10 justify-center'>
      {
        images.map((item,index)=>(
        <div key={index} className=' w-[160px] flex justify-center '>
          <img src={item?.url} alt="image" className='opacity-100 h-[20px] w-[105px] object-contain transition duration-300 ease-in-out filter brightness-75 hover:brightness-200' />
        </div>

        ))
      }
      </div>
    </div>
  );
};

export default FirstImage;
