"use client"
import React from 'react'
import "slick-carousel/slick/slick.css"; 
import "slick-carousel/slick/slick-theme.css";
import Slider from 'react-slick';
import SliderItem from './header/slider/SliderItem';

import {  styled } from '@mui/material';
import { useTheme } from 'next-themes';

const SliderContainer = styled('div')({
width:"95%",
margin:" 80px auto",
height:"560px",
display: "flex",
justifyContent:'center',
alignItems:'center',
overflow:"hidden",
backgroundColor:'red',
position:'relative',
zIndex:"1",
borderRadius:" 0 0 50px 50px",
"@media (max-width: 900px)": {
    width:"100%",
height:"480px",
backgroundColor:'white',
 },

"@media (max-width: 765px)": {
    backgroundColor:'white',
    width:"100%",
    marginTop:'80px',
    height:"480px",
    display:'flex'
 },
 "@media (max-width: 600px)": {
    backgroundColor:'white',
    width:"100%",
    marginTop:'80px',
    height:"550px",
    display:'flex'
 },


})
const SliderInnerContainer = styled('div')({
 
  width:'100%',
  height:'560px',
  // border:'1px solid black',
  overflow:"hidden",paddingTop:"20px",
  background: `
  linear-gradient(to bottom, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0) 100%), 
  linear-gradient(122deg, rgba(42,127,127,1) 0%, rgba(162,150,50,1) 72%, rgba(31,140,165,1) 88%);
`,border:"0",
// paddingRight:'40px',
  // boxShadow: "0 1px 5px rgba(104, 104, 104, 0.8)",
  "@media (max-width: 900px)": {
    width:'100%',
    height:"480px",
 
 },
 "@media (max-width: 765px)": {
    width:"100%",
    height:"480px",
 },

  "@media (max-width: 600px)": {
    width:'100%',
    height:"550px",
 
 },
})






const Homeslider = [
  {},{},{},{},{},{},
]


const Block1 = () => {
  
  const { theme, setTheme } = useTheme()
// console.log(sliderData)  
  const settings = {
    dots: true,
    arrows:true,
    infinite:true,
    speed: 500,
    slidesToShow: 3,
    slidesToScroll: 1,
    autoplay:true,
    autoplaySpeed: 3000,
    cssEase: "linear",
    initialSlide:0,
   
      responsive: [
        {
          breakpoint: 1200,
          settings: {
            slidesToShow: 3,
            slidesToScroll: 1,
            speed: 300,
            arrows:true,
          },
        },
         {
          breakpoint: 1024,
          settings: {
            slidesToShow: 2,
            slidesToScroll: 1,
            speed: 300,
            arrows:false,
            autoplay:true,
          },
        },
        {
          breakpoint: 770,
          settings: {
            slidesToShow: 1,
            slidesToScroll: 1,
            speed: 300,
            arrows:false,
            autoplay:true,
          },
        },
        {
          breakpoint: 600,
          settings: {
            slidesToShow: 1,
            slidesToScroll: 1,
            speed: 300,
            arrows:false,
            autoplay:true,
            dots: true,
          },
        },
        {
          breakpoint: 480,
          settings: {
            slidesToShow: 1,
            slidesToScroll: 1,
            speed: 200,
            arrows:false,
            autoplay:true,
            dots: true,
          },
        },
    ]
  };
  return (
    <>
    <div className={` ${theme === 'light' ? "customeGradientDark" : "customeGradient"} text-4xl md:text-5xl lg:text-5xl font-semibold text-center w-[95%] sm:w-[70%] md:w-[90%] lg:w-[59%] xl:w-[45%] mx-auto mt-24 sm:mt-[130px]`}>
        Our customers say it best.
      </div>
    <SliderContainer>         
       <SliderInnerContainer>
    <Slider {...settings}>
     {Homeslider && Homeslider.map((item,index)=>(
      <SliderItem  key={index} posterLinks={item} />
      ))}
    </Slider>
      </SliderInnerContainer>  
    </SliderContainer>
    


    </>
  )
}

export default Block1
