"use client"
import { Avatar, Box, Button, styled, Typography } from '@mui/material'
import React from 'react'
import { useRouter } from 'next/navigation'



const SliderContainer = styled("div")({
  width: "100%",
  height: "580px",
 
  display: 'flex',

  flexDirection: 'column',
  alignItems: 'center',
  backgroundColor:"",
  
  "@media (max-width: 900px)": {
    width: "100%",
    height: "400px",
  },
  "@media (max-width: 600px)": {
    width: "100%",
    height: "600px",
  },

})
const ImageContainer = styled("div")({
  display: "flex",
  width: "100%",
  height: "580px",
  position: 'relative',
  
backgroundBlendMode: 'normal',
  "@media (max-width: 900px)": {
    width: "100%",
    height: "450px",
  },
  "@media (max-width: 600px)": {
    width: "100%",
    height: "600px",
  },

})
const Image = styled("img")({
  width: "100%",
  height: "580px",
  objectFit: "cover",
  borderRadius: '0px',
 
  "@media (max-width: 900px)": {
    width: '100%',
    height: '400px',

  },

  "@media (max-width: 600px)": {
    width: '100%',
    height: '400px',

  },

})

const SliderItem = ({ posterLinks }) => {
  const router = useRouter();

 
  return (
    <>
      <SliderContainer>
        <ImageContainer>
        <Box sx={{ position: 'relative', width: '100%' }}>


      {/* Text Content */}
      <Box
        sx={{width:"90%",
          height: '60',
          display: 'flex',
          flexDirection: 'column',backgroundColor:"#7e81a033",padding:"29px",borderRadius:"15px",margin:" 0 20px",

        }}
      >
        <div>
          <Avatar sx={{height:"75px",width:"75px"}} src='https://lumi.uicore.co/customer-support-software/wp-content/uploads/sites/3/2023/01/Customer-support-software-Testimonial-Image-2.webp'/>
        </div>
        <div className='text-xl pt-3'>
          Ankit Paul
        </div>
        
        <div className='text-base opacity-80'>
          Ankit Paul
        </div>
        
        <div className='py-3'>
          Lorem ipsum, dolor sit amet consectetur adipisicing elit. Maxime ut recusandae consectetur quibusdam enim ad commodi ab voluptate nam eaque aliquam harum, ipsum quae ipsa a amet earum sapiente blanditiis error assumenda doloribus molestias similique adipisci. 
        </div>
      </Box>
    </Box>
        </ImageContainer>
      </SliderContainer>
    </>
  )
}

export default SliderItem